Package org.silverpeas.components.community.web

# Class CommunityOfUsersEntity

java.lang.Object
org.silverpeas.components.community.web.CommunityOfUsersEntity

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

public class CommunityOfUsersEntity extends Object implements org.silverpeas.core.web.rs.WebEntity
It represents the Web entity of a `CommunityOfUsers` state from which a representation (usually in JSON) can be generated.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CommunityOfUsersEntity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URL`
  `getCharterURL()`
  `org.silverpeas.kernel.util.Pair<String,org.silverpeas.core.admin.space.SpaceHomePageType>`
  `getHomePage()`
  Gets the home page of this community of users for the members.
  `String`
  `getId()`
  Gets the unique identifier of this community of users.
  `URI`
  `getMemberships()`
  Gets the URI at which the memberships to this community can be requested.
  `String`
  `getSpaceId()`
  Gets the unique identifier of the collaborative space for which this community of users is.
  `URI`
  `getURI()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommunityOfUsersEntity

    protected CommunityOfUsersEntity()

- ## Method Details

  - ### getURI

    public URI getURI()
    Specified by:
      `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`

  - ### getId

    public String getId()
    Gets the unique identifier of this community of users.
    Returns:
      the unique identifier of the community application instance dedicated to manage the community of users for a collaborative space.

  - ### getSpaceId

    public String getSpaceId()
    Gets the unique identifier of the collaborative space for which this community of users is. The space for which the community has been defined is permanent, meaning it cannot be changed.
    Returns:
      the unique identifier of the community space.

  - ### getMemberships

    public URI getMemberships()
    Gets the URI at which the memberships to this community can be requested.
    Returns:
      the URI at which the memberships to this community can be accessed.

  - ### getHomePage

    public org.silverpeas.kernel.util.Pair<String,org.silverpeas.core.admin.space.SpaceHomePageType> getHomePage()
    Gets the home page of this community of users for the members.
    Returns:
      the home page and its type.

  - ### getCharterURL

    public URL getCharterURL()